com.streambase.sb

## Class CompiledTuple

- java.lang.Object
- - com.streambase.sb.Tuple
  - - com.streambase.sb.CompiledTuple

- All Implemented Interfaces:
    CloneableData, Serializable, Cloneable

      public abstract class CompiledTuple
      extends Tuple

  Subclass of tuple that indicates a tuple has a compiled representation for better performance. No additional methods are supported, this exists so that some interfaces which require a compiled tuple representation for performance can be typesafe.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.streambase.sb.Tuple

      `Tuple.DefaultTupleFormatter, Tuple.SetResult, Tuple.TupleFormatter`

  - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.Tuple

      `CREATE_IF_NULL, EMPTY_TUPLE, NO_FLAGS, NULL_STRING, THROW_ON_NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CompiledTuple(Schema schema)`

  - ### Method Summary

    - ### Methods inherited from class com.streambase.sb.Tuple

      `checkType, checkTypeAndNonNull, clear, clone, copyField, copyTuple, createReadOnlyTuple, createWritableTuple, equals, getAllocatedTuple, getAllocatedTuple, getAllocatedTuple, getBlobBuffer, getBlobBuffer, getBlobBuffer, getBoolean, getBoolean, getBoolean, getCapture, getCapture, getCapture, getCaptureImpl, getDouble, getDouble, getDouble, getField, getField, getField, getFieldAsString, getFields, getFunction, getFunction, getFunction, getInt, getInt, getInt, getList, getList, getList, getLong, getLong, getLong, getSchema, getString, getString, getString, getTimestamp, getTimestamp, getTimestamp, getTuple, getTuple, getTuple, getTupleFormatter, hashCode, isNull, isNull, isNull, isReadOnly, serialize, serialize, setBlobBuffer, setBlobBuffer, setBlobBuffer, setBoolean, setBoolean, setBoolean, setCapture, setCapture, setCapture, setDouble, setDouble, setDouble, setField, setField, setField, setField, setField, setFields, setFunction, setFunction, setFunction, setInt, setInt, setInt, setList, setList, setList, setLong, setLong, setLong, setNull, setNull, setNull, setString, setString, setString, setTimestamp, setTimestamp, setTimestamp, setTuple, setTuple, setTuple, toDelimitedString, toMapView, toString, toString, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompiledTuple

          protected CompiledTuple(Schema schema)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.